/**********************************************************************
Copyright (c) 2005 Erik Bengtson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.jpox;

import org.jpox.metadata.AbstractPropertyMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreContainerObject;
import org.jpox.store.DatastoreField;
import org.jpox.store.StoreManager;
import org.jpox.store.mapping.JavaTypeMapping;

/**
 * Constants with classes (class created to reduce overhead on calling Class.class *performance*)
 * @version $Revision: 1.3 $
 */
public class ClassConstants
{
    /** org.jpox.ClassLoaderResolver **/
    public static final Class CLASS_LOADER_RESOLVER = ClassLoaderResolver.class;
    
    /** org.jpox.metadata.AbstractPropertyMetaData **/
    public static final Class ABSTRACT_PROPERTY_META_DATA = AbstractPropertyMetaData.class;
    
    /** org.jpox.store.DatastoreAdapter **/
    public static final Class DATASTORE_ADAPTER = DatastoreAdapter.class;

    /** org.jpox.store.DatastoreContainerObject **/
    public static final Class DATASTORE_CONTAINER_OBJECT = DatastoreContainerObject.class;

    /** org.jpox.store.DatastoreField **/
    public static final Class DATASTORE_FIELD = DatastoreField.class;

    /** org.jpox.store.StoreManager **/
    public static final Class STORE_MANAGER = StoreManager.class;

    /** org.jpox.store.mapping.JavaTypeMapping **/
    public static final Class JAVA_TYPE_MAPPING = JavaTypeMapping.class;
}