/**********************************************************************
Copyright (c) 2006 Andy Jefferson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.jpox.datasource;

import org.jpox.util.Localiser;

/**
 * Exception thrown when a datastore driver library is not found.
 *
 * @version $Revision: 1.2 $
 */
public class DatastoreLibraryNotFoundException extends RuntimeException
{
    /** Localisation of messages. */
    protected static final Localiser LOCALISER = Localiser.getInstance("org.jpox.Localisation");

    /**
     * Constructor.
     * @param poolName Name of the connection pool
     * @param libraryName Name of the library
     */
    public DatastoreLibraryNotFoundException(String poolName, String libraryName)
    {
        super(LOCALISER.msg("DataSource.ConnectionPoolLibraryNotFound", poolName, libraryName));
    }
}