/**********************************************************************
Copyright (c) 2006 Erik Bengtson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
     ...
***********************************************************************/
package org.jpox.management;

/**
 * Management Server starts and stops a Management Server
 * 
 * The ManagementManager is registered right after the instantiation
 * of this interface.
 * 
 * Plugin Extension Point: org.jpox.management.ManagementServer
 * 
 * The implementation of this class must have a default public constructor
 */
public interface ManagementServer
{
    /**
     * Register the ManagementManager
     * @param mgr the ManagementManager
     */
    void registerManagementManager(ManagementManager mgr);

    /**
     * Start the Management Server. If this operation is invoked
     * while the server is started, this operation is ignored 
     */
    void start();
    
    /**
     * Stop the Management Server. If this operation is invoked
     * while the server is stop, this operation is ignored 
     */
    void stop();
}
