/******************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 

Contributors:
    ...
*****************************************************************/
package org.jpox.metadata;

import org.jpox.util.AbstractXMLEntityResolver;

/**
 * Implementation of an entity resolver for JPA metadata files.
 * Handles JPA1 entity resolution using XSD only.
 * 
 * @version $Revision: 1.1 $
 */
public class JPAEntityResolver extends AbstractXMLEntityResolver
{
    public JPAEntityResolver()
    {
        // Add definitions for internally supported URLs
        systemIdEntities.put("http://java.sun.com/xml/ns/persistence/orm_1_0.xsd", "/org/jpox/jpa_orm_1_0.xsd");
        systemIdEntities.put("http://java.sun.com/xml/ns/persistence/persistence_1_0.xsd", "/org/jpox/jpa_persistence_1_0.xsd");
    }
}