/**********************************************************************
Copyright (c) 2005 Andy Jefferson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 

Contributors:
    ...
**********************************************************************/
package org.jpox.sco;

/**
 * Representation of a wrapper for a mutable Collection SCO type supported by JPOX.
 *
 * @version $Revision: 1.7 $
 **/
public interface SCOCollection extends SCOContainer
{
    /**
     * Method to update an embedded element stored in the collection
     * @param element The element
     * @param fieldNumber Number of field in the element
     * @param value th enew value for this field
     */
    public void updateEmbeddedElement(Object element, int fieldNumber, Object value);

    /**
     * Accessor for the element type contained in this collection.
     * @return The element type
     */
    public Class getElementType();
}