/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

/**
 * TODO rename it if necessary to provide the best meaning understanding.
 * 
 * This
 * represents something in the datastore that holds single elements of data or
 * embedded elements.
 * 
 * For example, Strings, Locale, Integer, PersistenceCapable,
 * Interface, embedded Collections, embedded Lists, Objects and others, but not
 * non embedded Collections, List, etc.
 * 
 * In RDBMS, this represents a column in
 * one table or a column in a table joining to this. 
 * 
 * this representation is enclosed to:
 * a) "TABLE THIS" or
 * b) "TABLE OTHER joined to TABLE THIS (1-1 join)"
 * 
 * Java Mapping Type -> RDBMS Mapping Type
 * String -> VARCHAR column 
 * Integer -> INTEGER column
 * embedded Collection -> BLOB column
 * Interface -> one or more columns
 * PersistenceCapable -> one or more columns
 * 
 * @author erik
 * @version $Revision: 1.2 $
 */
public interface SimpleDatastoreRepresentation
{
}
