/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License. 
 

Contributors:
2003 Andy Jefferson - coding standards and javadocs
2004 Andy Jefferson - removed getTypeInfo() since wasn't used
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.ClassNameConstants;

/**
 * Mapping for Java java.sql.Timestamp char type.
 *
 * @version $Revision: 1.13 $
 **/
public class SqlTimestampCharMapping extends SqlTimestampMapping
{
    /**
     * Method to return the default length of this type in the datastore.
     * java.sql.Timestamp requires 29 characters ("YYYY-MM-DD HH:MM:SS.FFFFFFFFF")
     * @param index The index position
     * @return The default length
     */
    public int getDefaultLength(int index)
    {
        return 29;
    }

    /**
     * Accessor for the name of the java-type actually used when mapping the particular datastore
     * field. This java-type must have an entry in the datastore mappings.
     * @param index requested datastore field index.
     * @return the name of java-type for the requested datastore field.
     */
    public String getJavaTypeForDatastoreMapping(int index)
    {
        // Use String as our java type
        return ClassNameConstants.JAVA_LANG_STRING;
    }
}