/**********************************************************************
Copyright (c) 2002 Mike Martin and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.rdbms.exceptions;

import javax.jdo.JDOFatalUserException;
import org.jpox.util.Localiser;

/**
 * A <tt>ViewDefinitionException</tt> is thrown if the metadata extension(s)
 * that define a view are missing or invalid.
 *
 * @see org.jpox.store.rdbms.table.ClassView
 * @version $Revision: 1.1 $ 
 */
public class ViewDefinitionException extends JDOFatalUserException
{
    protected static final Localiser LOCALISER=Localiser.getInstance("org.jpox.store.rdbms.Localisation");

    /**
     * Constructs a class definition exception with the specified detail
     * message.
     * @param className The class name for the class backed by a view.
     * @param viewDef The string provided in the metadata defining the view.
     */
    public ViewDefinitionException(String className, String viewDef)
    {
        super(LOCALISER.msg("RDBMS.Exception.ViewDefinition",className,viewDef));
    }
}