/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved. 
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License. 
 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.request;

import org.jpox.store.StatementExpressionIndex;

/**
 * This class holds StatementExpressionIndex for primary keys, 
 * version, datatore and other fields mappings
 * 
 * @version $Revision: 1.3 $
 */
class MappingStatementIndex
{
    private StatementExpressionIndex[] primaryKeys;
    private StatementExpressionIndex[] fields;
    private StatementExpressionIndex version = new StatementExpressionIndex();
    private StatementExpressionIndex datastoreId = new StatementExpressionIndex();
    
    /**
     * @return Returns the datastoreId.
     */
    public StatementExpressionIndex getDatastoreId()
    {
        return datastoreId;
    }
    /**
     * @param datastoreId The datastoreId to set.
     */
    public void setDatastoreId(StatementExpressionIndex datastoreId)
    {
        this.datastoreId = datastoreId;
    }
    /**
     * @return Returns the version index.
     */
    public StatementExpressionIndex getVersion()
    {
        return version;
    }

    /**
     * @param optimistic The version to set.
     */
    public void setVersion(StatementExpressionIndex optimistic)
    {
        this.version = optimistic;
    }

    /**
     * @return Returns the fields.
     */
    public StatementExpressionIndex[] getFields()
    {
        return fields;
    }

    /**
     * @param fields The fields to set.
     */
    public void setFields(StatementExpressionIndex[] fields)
    {
        this.fields = fields;
    }

    /**
     * @return Returns the primaryKeys.
     */
    public StatementExpressionIndex[] getPrimaryKeys()
    {
        return primaryKeys;
    }

    /**
     * @param primaryKeys The primaryKeys to set.
     */
    public void setPrimaryKeys(StatementExpressionIndex[] primaryKeys)
    {
        this.primaryKeys = primaryKeys;
    }
}