/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 

Contributors:
    ...
**********************************************************************/

package org.jpox.store.rdbms.table;

import org.jpox.store.mapping.JavaTypeMapping;

/**
 * Interface for a table that aggregates a FCO to SCO elements/keys/values or
 * a FCO to embedded elements/keys/values in the association  
 */
public interface SCOTable extends Table
{
    /**
     * Accessor for the "owner" mapping end of the relationship. This will be
     * the primary key of the owner table.
     *
     * @return The column mapping for the owner.
     **/
    public JavaTypeMapping getOwnerMapping();
}
